[SCM] Standalone 3D Game Maker and 3D Game Design program branch, master, updated. debian/2.6.1+dfsg-6-2-g076af4b

Scott Howard showard314 at gmail.com
Thu May 26 13:27:51 UTC 2011


The following commit has been merged in the master branch:
commit 076af4b13df05779d06f9cdc1325ec9a9ac52c26
Author: Scott Howard <showard314 at gmail.com>
Date:   Thu May 26 09:14:51 2011 -0400

    Improved downloader script, thanks to Jasen Betts  (Closes: #627830)

diff --git a/debian/changelog b/debian/changelog
index a67e4b8..f575270 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,11 @@
-sandboxgamemaker (2.6.1+dfsg-7) UNRELEASED; urgency=low
+sandboxgamemaker (2.6.1+dfsg-7) unstable; urgency=low
 
   * S-V 3.9.2 (no changes)
+  * Improved downloader script, thanks to Jasen Betts 
+    (Closes: #627830)
+  * Added parallel build support to debian/rules
 
- -- Scott Howard <showard at debian.org>  Tue, 17 May 2011 21:12:26 -0400
+ -- Scott Howard <showard at debian.org>  Thu, 26 May 2011 09:14:19 -0400
 
 sandboxgamemaker (2.6.1+dfsg-6) unstable; urgency=low
 
diff --git a/debian/postinst b/debian/postinst
index d674745..6573e8f 100755
--- a/debian/postinst
+++ b/debian/postinst
@@ -33,12 +33,24 @@ case "$1" in
                 rm -fr /usr/share/sandboxgamemaker/data
                 rm -fr /usr/share/sandboxgamemaker/concept
                 rm -fr /usr/share/sandboxgamemaker/loadback
+                echo "Cleaned old data"
                 mkdir -p /var/cache/sandboxgamemaker
                 cd /var/cache/sandboxgamemaker
-                rm -rf "$PASver" "$PASver"Multiplatform.zip
-                wget http://sandboxgamemaker.com/sandbox/"$PASver"Multiplatform.zip
-                echo "Cleaned old data"
-                unzip -q  "$PASver"Multiplatform.zip
+                # use retry mode to recover failed downloads
+                wget -c http://sandboxgamemaker.com/sandbox/"$PASver"Multiplatform.zip
+                if ! unzip -q  "$PASver"Multiplatform.zip
+                then
+                    # unzip failed. remove bad archive so can retry 
+                    # download from the beginning at next invocation
+                    #
+                    # if you only ran out of disk space, free some up and try again
+                    #
+                    echo "Download corrupted or data copying failed."
+                    echo "Make sure you have enough disk space. Download will restart"
+                    echo "the next time dpkg --configure -a is run."
+                    rm "$PASver"Multiplatform.zip
+                    exit 1
+                fi
                 [ ! -d /usr/share/sandboxgamemaker ] && mkdir /usr/share/sandboxgamemaker
                 echo "Unizipped data, copying to /usr/share/sandboxgamemaker"
                 cp -af "$PASver"/LICENSE.txt /usr/share/sandboxgamemaker
diff --git a/debian/rules b/debian/rules
index 39179fd..0e0a561 100755
--- a/debian/rules
+++ b/debian/rules
@@ -1,7 +1,12 @@
 #!/usr/bin/make -f
 
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    MAKEFLAGS += -j$(NUMJOBS)
+endif
+
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_build:
 	$(MAKE) -C src

-- 
Standalone 3D Game Maker and 3D Game Design program



More information about the Pkg-games-commits mailing list